## Examples

### Midas

```ruby
require 'hover/client/midas'

client = Hover::Client::Midas.new('access_id', 'secret_key', 'https://staging-midas.hover.to')

order = client.json_post('orders.json', {'order[address]' => '945 Bryant St, Suite 300, San Francisco, CA', 'order[advanced]' => false})
order = client.json_get("orders/#{order['id']}.json")
```

### Manowar

```ruby
require 'hover/client/manowar'

client = Hover::Client::Manowar.new('access_id', 'secret_key', 'https://staging-manownar.hover.to')

order = client.json_get("orders/2.json")
```

### Static

```ruby
require 'hover/client/static'

client = Hover::Client::Static.new('access_id', 'secret_key', 'https://staging-static.hover.to')

metric_name = 'order.state.time.modeling'
value = (60 * 40) # 40 minutes in seconds
happened_at = order_state_transition.created_at
tags = {
resource_type: 'human',
waiting: false,
order_id: order.id,
order_practice: order.practice?,
order_midas_identifier: order.midas_identifier,
user_email: order_state_transition.trigger_user.email
}

client.create_metric(metric_name, value, happened_at, tags)
```

### Importer

### Streaming JSON Encoder

### Streaming JSON Decoder
