ENV['RAILS_ENV'] ||= 'test'
IS_RAKE_TASK = (!! ($0 =~ /rake/))

if IS_RAKE_TASK
  #
  # Code coverage reports
  #

  require 'coverage'
  require 'simplecov'
  require 'simplecov-rcov'

  ROOT_DIR = File.expand_path('../..', __FILE__)

  SimpleCov.formatter = SimpleCov::Formatter::RcovFormatter

  SimpleCov.start do
    minimum_coverage 0
    coverage_dir File.join(File.dirname(__FILE__), 'reports')
    root ROOT_DIR

    add_filter do |src|
      File.dirname(src.filename) =~ /#{File.join(ROOT_DIR, 'test')}/
    end
  end
end

require 'minitest/autorun'
require 'minitest/mock'
require 'mocha/minitest'
require 'minitest/reporters'

reporters = [ Minitest::Reporters::SpecReporter.new ]

Minitest::Reporters.use!(reporters)


def index_json_hash(collection, page = 1, per_page = 2)
  {
    "pagination" => {
      "current_page" => page,
      "total_pages" => (collection.size / per_page),
      "total" => collection.size,
      "per_page" => per_page
    },

    "results" => collection.slice((per_page * (page - 1)), per_page)
  }
end

require 'byebug'
require 'rails/all'
require 'active_record'

database_path = '/tmp/hover-ruby-client_test.sqlite3'
FileUtils.rm(database_path) if File.exist?(database_path)
ActiveRecord::Base.establish_connection({adapter: :sqlite3, database: database_path})

ActiveRecord::Schema.define do
  create_table(:test_classes) do |t|
    t.text :image
    t.text :document
    t.integer :item_id
    t.integer :a
  end

  create_table(:scoped_test_classes) do |t|
    t.integer :item_id
    t.integer :a
  end

  create_table(:items) do |t|
  end

  create_table(:tags) do |t|
    t.integer :taggable_id
    t.string :taggable_type
    t.string :name
  end
end