require './test/test_helper'

require 'hover/client/hover'

describe Hover::Client::Hover do
  let(:client) { Hover::Client::Hover.new('access_id', 'secret_key') }
  
  it "inits" do
    assert client.is_a?(Hover::Client::Hover)
  end
  
  it "json_get" do
    arguments = ['orders.json', {}]
    
    response = mock
    parsed_response = mock
    client.expects(:get).with(*arguments).returns(response)
    client.expects(:parse_response).with(response).returns(parsed_response)
    
    client.json_get(*arguments).must_equal(parsed_response)
  end
  
  it "json_put" do
    arguments = ['orders/1.json', {'order[address]' => 'kansas'}]
    
    response = mock
    parsed_response = mock
    client.expects(:put).with(*arguments).returns(response)
    client.expects(:parse_response).with(response).returns(parsed_response)
    
    client.json_put(*arguments).must_equal(parsed_response)
  end
  
  it "json_post" do
    response = mock
    parsed_response = mock
    client.expects(:post).with('orders.json', {'order[address]' => 'elsewhere'}).returns(response)
    client.expects(:parse_response).with(response).returns(parsed_response)
    
    client.json_post('orders.json', {'order[address]' => 'elsewhere'}).must_equal(parsed_response)
  end
  
  it "json_patch" do
    arguments = ['orders/1.json', {'order[address]' => 'san francisco'}]
    
    response = mock
    parsed_response = mock
    client.expects(:patch).with(*arguments).returns(response)
    client.expects(:parse_response).with(response).returns(parsed_response)
    
    client.json_patch(*arguments).must_equal(parsed_response)
  end
  
  it "json_delete" do
    response = mock
    parsed_response = mock
    client.expects(:delete).with('orders/1.json').returns(response)
    client.expects(:parse_response).with(response).returns(parsed_response)
    
    client.json_delete('orders/1.json').must_equal(parsed_response)
  end
end