require './test/test_helper'

require 'hover/client/manowar'

describe Hover::Client::Manowar do
  before do
    @client = Hover::Client::Manowar.new('access_id', 'secret_key')
  end
  
  it "inits" do
    assert @client.is_a?(Hover::Client::Manowar)
  end
  
  describe "submit_order" do
    it "submits" do
      parameters = {
        "order[midas_identifier]" => 1,
        "order[images_attributes][0][id]" => 1,
        "order[images_attributes][1][id]" => 2
      }
      
      @client.expects(:json_post).with("orders.json", parameters)
      
      @client.submit_order(parameters)
    end
  end
  
  describe "order_results" do
    it "gets results" do
      @client.expects(:json_get).with("orders/1/results.json")
      @client.order_results(1)
    end
  end
end